import 'package:flutter/material.dart';
import 'package:flutter_travel/models/config.dart';
import 'package:flutter_travel/pages/home_page.dart';
import 'package:flutter_travel/pages/routes.dart';

void main() {
  Config.init(() => runApp(const MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: HomePage(),
      initialRoute: Routes.splash,
      onGenerateRoute: Routes.onGenerateRoute,
    );
  }
}
